## Steepest-descent Multidimensional optimisation
## one dimensional function
## Author: M. Turhan ÇOBAN
## Created: 2021-06-14
function retval = f1dim(f,alpha,x0,x1)
  n=length(x0);
  for j=1:n
    xt(j)=x0(j)+alpha*x1(j);
  endfor
  retval=f(xt);
endfunction
